开发者社区> 镜像站> NPM> acorn-node
acorn-node
the acorn javascript parser, preloaded with plugins for syntax parity with recent node versions
Last updated a year ago by goto-bus-stop .
Apache-2.0 · Repository · Bugs · Original npm · Tarball · package.json
$ cnpm install acorn-node 
SYNC missed versions from official npm registry.

acorn-node

Acorn preloaded with plugins for syntax parity with recent Node versions.

It also includes versions of the plugins compiled with Bublé, so they can be run on old Node versions (0.6 and up).

npm travis standard

Install

npm install acorn-node

Usage

var acorn = require('acorn-node')

The API is the same as acorn, but the following syntax features are enabled by default:

  • Bigint syntax 10n
  • Numeric separators syntax 10_000
  • Public and private class instance fields
  • Public and private class static fields
  • Dynamic import()
  • The import.meta property
  • export * as ns from syntax

And the following options have different defaults from acorn, to match Node modules:

  • ecmaVersion: 2019
  • allowHashBang: true
  • allowReturnOutsideFunction: true
var walk = require('acorn-node/walk')

The Acorn syntax tree walker. Comes preconfigured for the syntax plugins if necessary. See the acorn documentation for details.

License

The files in the repo root and the ./test folder are licensed as Apache-2.0.

The files in lib/ are generated from other packages:

Current Tags

  • 2.0.1                                ...           latest (6 months ago)

17 Versions

  • 2.0.1                                ...           6 months ago
  • 2.0.0                                ...           9 months ago
  • 1.8.2                                ...           a year ago
  • 1.8.1                                ...           a year ago
  • 1.8.0                                ...           a year ago
  • 1.7.0                                ...           2 years ago
  • 1.6.2                                ...           2 years ago
  • 1.6.1                                ...           2 years ago
  • 1.6.0                                ...           2 years ago
  • 1.5.2                                ...           2 years ago
  • 1.5.1                                ...           2 years ago
  • 1.5.0                                ...           2 years ago
  • 1.4.0                                ...           2 years ago
  • 1.3.0                                ...           3 years ago
  • 1.2.0                                ...           3 years ago
  • 1.1.0                                ...           3 years ago
  • 1.0.0                                ...           3 years ago